import type { NormalizedTransformOptions } from '../options';
import type { TransformResult } from './shared';
/**
 * Transform the passed source code
 * @param src The source to be transformed. Can be the content of a JavaScript, HTML, or CSS file.
 * @param filename The source filename, with extension.
 * @param config The transformation options. The `name` and the `namespace` of the component is the
 * minimum required for transformation.
 * @returns An object with the generated code, source map and gathered metadata.
 * @throws Compilation errors
 */
export default function styleTransform(src: string, filename: string, config: NormalizedTransformOptions): TransformResult;
//# sourceMappingURL=style.d.ts.map