import type { NormalizedTransformOptions } from '../options';
import type { TransformResult } from './shared';
/**
 * Transforms a HTML template into module exporting a template function.
 * The transform also add a style import for the default stylesheet associated with
 * the template regardless if there is an actual style or not.
 * @param src HTML source
 * @param filename Source filename, with extension.
 * @param options Transformation options
 * @returns Transformed code, source map, and metadata
 * @throws Compiler errors, when compilation fails.
 * @example
 */
export default function templateTransform(src: string, filename: string, options: NormalizedTransformOptions): TransformResult;
//# sourceMappingURL=template.d.ts.map